疾旋Token
用户指引API 参考平台文档AI 应用集成帮助与支持
AI 模型接口视频(Videos)Sora格式

创建视频

OpenAI 兼容的视频生成接口。

参考文档: https://platform.openai.com/docs/api-reference/videos/create

POST
/v1/videos

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-your-astrumflow-token-key

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

视频生成请求

model?string

模型/风格 ID

prompt?string

文本描述提示词

image?string

图片输入 (URL 或 Base64)

duration?number

视频时长(秒)

width?integer

视频宽度

height?integer

视频高度

fps?integer

视频帧率

seed?integer

随机种子

n?integer

生成视频数量

response_format?string

响应格式

user?string

用户标识

metadata?

扩展参数 (如 negative_prompt, style, quality_level 等)

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/videos"
{  "id": "string",  "object": "string",  "model": "string",  "status": "string",  "progress": 0,  "created_at": 0,  "seconds": "string",  "completed_at": 0,  "expires_at": 0,  "size": "string",  "error": {    "message": "string",    "code": "string"  },  "metadata": {}}